<?php

namespace App\Http\Requests\Admin;

use App\Http\Requests\BaseRequest;

class CreateProductRequest extends BaseRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|string|unique:products,title|min:3|max:300',
            'price' => 'max:10',
            'sale_price' => 'max:10'
        ];
    }
}
